import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["type"];
import PropTypes from 'prop-types';
import Input, { inputSizes, inputStates } from './Input/index.js';
import Password from './Password/index.js';
import Mask from './Mask/index.js';
import { TYPES, INPUT_SHAPES } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";

var AtomInput = function AtomInput(_ref) {
  var type = _ref.type,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  switch (type) {
    case 'sui-password':
      return /*#__PURE__*/_jsx(Password, _extends({}, props));

    case 'mask':
      return /*#__PURE__*/_jsx(Mask, _extends({}, props));

    default:
      return /*#__PURE__*/_jsx(Input, _extends({}, props, {
        type: type
      }));
  }
};

AtomInput.displayName = 'AtomInput';
export default AtomInput;
export { inputSizes, inputStates, TYPES as inputTypes, INPUT_SHAPES as inputShapes };